> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Commercial Music Playlist

> Get Commercial Music Playlist



## OpenAPI

````yaml /api-reference/openapi.json get /api/trending/commercial-music-library/playlist
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/trending/commercial-music-library/playlist:
    get:
      tags:
        - Trending
      summary: Get Commercial Music Playlist
      description: Get Commercial Music Playlist
      operationId: getApiTrendingCommercial-music-libraryPlaylist
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 20
            description: Number of items per page (maximum is 20)
            example: 20
            maximum: 20
        - in: query
          name: region
          schema:
            type: string
            description: Region
            example: US
            default: US
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      list:
                        type: array
                        items:
                          type: object
                          properties:
                            playlist_id:
                              type: number
                              description: ''
                              example: 6875250915218050000
                            poster_url:
                              type: string
                              description: ''
                              example: >-
                                https://p16-sg.tiktokcdn.com/aweme/720x720/tos-alisg-v-2774/o8EAX0QWiAeAMws6xqEBAiiA9vBo3CAhmP2KSo.jpeg
                            title:
                              type: string
                              description: ''
                              example: TikTok Viral
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````